---
search:
  tags:
    - database-services
    - GET
seo:
  description: >-
    Reads, on the live leader, in… Reference for the GET
    /api/v1/database-services/{id}/extensions/{name}/dependents endpoint in the
    TimescaleDB Enterprise API.
  noindex: true
sidebar:
  label: List extension dependents
  badge: GET
title: List extension dependents
type: openapi-operation
---
Reads, on the live leader, in the database of the extension, the objects that depend on it: columns of its types, indexes with its operator classes, views, functions, and the objects that depend on those. For pg_cron also its jobs, and for another extension its configuration tables with rows. Each table has its estimated rows.

`GET /api/v1/database-services/{id}/extensions/{name}/dependents`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "database": "string",
  "dependents": [
    {
      "estimated_rows": 0,
      "name": "string",
      "table": "string",
      "type": "string"
    }
  ],
  "exists": true,
  "extension": "string",
  "more": 0,
  "sql_name": "string"
}
```
